Bug 496481 - page allocation failure on 2.6.29.1-30.fc10.x86_64
page allocation failure on 2.6.29.1-30.fc10.x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 11:06 EDT by Jeremy Sanders
Modified: 2009-12-18 04:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:17:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2009-04-19 11:06:05 EDT
Description of problem:
I've just got a page allocation failure trying out the new updates testing kernel (x86-64). This is with quite a lot of disk/network activity.

Version-Release number of selected component (if applicable):
kernel-2.6.29.1-30.fc10.x86_64

How reproducible:
Unknown (didn't do it under previous kernels)

Apr 19 11:28:56 xback2 kernel: swapper: page allocation failure. order:0, mode:0x4020
Apr 19 11:28:56 xback2 kernel: Pid: 0, comm: swapper Not tainted 2.6.29.1-30.fc10.x86_64 #1
Apr 19 11:28:56 xback2 kernel: Call Trace:
Apr 19 11:28:56 xback2 kernel: <IRQ>  [<ffffffff810a2fce>] __alloc_pages_internal+0x42f/0x451
Apr 19 11:28:56 xback2 kernel: [<ffffffff810ca6db>] alloc_slab_page+0x63/0x69
Apr 19 11:28:56 xback2 kernel: [<ffffffff810ca744>] new_slab+0x63/0x1cb
Apr 19 11:28:56 xback2 kernel: [<ffffffff810cae22>] __slab_alloc+0x23d/0x3ac
Apr 19 11:28:56 xback2 kernel: [<ffffffff812d560e>] ? __netdev_alloc_skb+0x31/0x4d
Apr 19 11:28:56 xback2 kernel: [<ffffffff810cc040>] __kmalloc_node_track_caller+0xbb/0x11f
Apr 19 11:28:56 xback2 kernel: [<ffffffff812d560e>] ? __netdev_alloc_skb+0x31/0x4d
Apr 19 11:28:56 xback2 kernel: [<ffffffff812d4a45>] __alloc_skb+0x6f/0x130
Apr 19 11:28:56 xback2 kernel: [<ffffffff812d560e>] __netdev_alloc_skb+0x31/0x4d
Apr 19 11:28:56 xback2 kernel: [<ffffffffa0017538>] rtl8169_rx_fill+0xac/0x15b [r8169]
Apr 19 11:28:56 xback2 kernel: [<ffffffffa0017989>] rtl8169_rx_interrupt+0x3a2/0x412 [r8169]
Apr 19 11:28:56 xback2 kernel: [<ffffffff81016e98>] ? read_tsc+0xe/0x24
Apr 19 11:28:56 xback2 kernel: [<ffffffffa001a5cc>] rtl8169_poll+0x3b/0x19f [r8169]
Apr 19 11:28:56 xback2 kernel: [<ffffffff812d8f8e>] net_rx_action+0xb3/0x1af
Apr 19 11:28:56 xback2 kernel: [<ffffffff8104ecc9>] __do_softirq+0x94/0x16f
Apr 19 11:28:56 xback2 kernel: [<ffffffff8101274c>] call_softirq+0x1c/0x30
Apr 19 11:28:56 xback2 kernel: [<ffffffff81013869>] do_softirq+0x4d/0xb4
Apr 19 11:28:56 xback2 kernel: [<ffffffff8104e917>] irq_exit+0x4e/0x88
Apr 19 11:28:56 xback2 kernel: [<ffffffff81013b77>] do_IRQ+0x130/0x155
Apr 19 11:28:56 xback2 kernel: [<ffffffff81011e93>] ret_from_intr+0x0/0x2e
Apr 19 11:28:56 xback2 kernel: <EOI>  [<ffffffff8102a236>] ? native_safe_halt+0x6/0x8
Apr 19 11:28:56 xback2 kernel: [<ffffffff81017c0a>] ? default_idle+0x4a/0x75
Apr 19 11:28:56 xback2 kernel: [<ffffffff81017d60>] ? c1e_idle+0x11d/0x124
Apr 19 11:28:56 xback2 kernel: [<ffffffff813745f1>] ? atomic_notifier_call_chain+0x13/0x15
Apr 19 11:28:56 xback2 kernel: [<ffffffff810102fc>] ? cpu_idle+0x63/0xac
Apr 19 11:28:56 xback2 kernel: [<ffffffff8135cd72>] ? rest_init+0x66/0x68
Apr 19 11:28:56 xback2 kernel: Mem-Info:
Apr 19 11:28:56 xback2 kernel: Node 0 DMA per-cpu:
Apr 19 11:28:56 xback2 kernel: CPU    0: hi:    0, btch:   1 usd:   0
Apr 19 11:28:56 xback2 kernel: CPU    1: hi:    0, btch:   1 usd:   0
Apr 19 11:28:56 xback2 kernel: Node 0 DMA32 per-cpu:
Apr 19 11:28:56 xback2 kernel: CPU    0: hi:  186, btch:  31 usd: 112
Apr 19 11:28:56 xback2 kernel: CPU    1: hi:  186, btch:  31 usd: 161
Apr 19 11:28:56 xback2 kernel: Active_anon:19647 active_file:6897 inactive_anon:6664
Apr 19 11:28:56 xback2 kernel: inactive_file:432850 unevictable:0 dirty:47502 writeback:2 unstable:0
Apr 19 11:28:56 xback2 kernel: free:2526 slab:27057 mapped:998 pagetables:1035 bounce:0
Apr 19 11:28:56 xback2 kernel: Node 0 DMA free:8012kB min:16kB low:20kB high:24kB active_anon:0kB inactive_anon:0kB active_file:208kB inactive_file:148kB unevictable:0kB present:6840kB pages_scanned:0 all_unreclaimable? no
Apr 19 11:28:56 xback2 kernel: lowmem_reserve[]: 0 2003 2003 2003
Apr 19 11:28:56 xback2 kernel: Node 0 DMA32 free:2092kB min:5716kB low:7144kB high:8572kB active_anon:78588kB inactive_anon:26656kB active_file:27380kB inactive_file:1731252kB unevictable:0kB present:2051180kB pages_scanned:66 all_unreclaimable? no
Apr 19 11:28:56 xback2 kernel: lowmem_reserve[]: 0 0 0 0
Apr 19 11:28:56 xback2 kernel: Node 0 DMA: 1*4kB 11*8kB 9*16kB 5*32kB 1*64kB 1*128kB 3*256kB 3*512kB 1*1024kB 0*2048kB 1*4096kB = 8012kB
Apr 19 11:28:56 xback2 kernel: Node 0 DMA32: 268*4kB 0*8kB 48*16kB 1*32kB 1*64kB 1*128kB 0*256kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 2064kB
Apr 19 11:28:56 xback2 kernel: 439948 total pagecache pages
Apr 19 11:28:56 xback2 kernel: 111 pages in swap cache
Apr 19 11:28:56 xback2 kernel: Swap cache stats: add 123, delete 12, find 23/23
Apr 19 11:28:56 xback2 kernel: Free swap  = 4200528kB
Apr 19 11:28:56 xback2 kernel: Total swap = 4200988kB
Apr 19 11:28:56 xback2 kernel: 524000 pages RAM
Apr 19 11:28:56 xback2 kernel: 14325 pages reserved
Apr 19 11:28:56 xback2 kernel: 458100 pages shared
Apr 19 11:28:56 xback2 kernel: 50803 pages non-shared
Comment 1 Craig Anthony 2009-11-08 21:45:46 EST
I've been getting these since update to the newer kernels with Fedora 11, albeit with a different NIC:

swapper: page allocation failure. order:0, mode:0x4020
Pid: 0, comm: swapper Tainted: P           2.6.30.9-96.fc11.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff810b2e58>] __alloc_pages_internal+0x411/0x42d
 [<ffffffff810d9a88>] alloc_pages_node+0x4f/0x51
 [<ffffffff810d9b74>] alloc_slab_page+0x2d/0x2f
 [<ffffffff810d9bdf>] new_slab+0x69/0x1c9
 [<ffffffff810da1f7>] __slab_alloc+0x206/0x38d
 [<ffffffff8133885d>] ? __netdev_alloc_skb+0x34/0x50
 [<ffffffff810dad77>] __kmalloc_node_track_caller+0xb5/0x119
 [<ffffffff8133885d>] ? __netdev_alloc_skb+0x34/0x50
 [<ffffffff81337c6a>] __alloc_skb+0x80/0x158
 [<ffffffff8133885d>] __netdev_alloc_skb+0x34/0x50
 [<ffffffffa01134ba>] tg3_alloc_rx_skb+0xd5/0x14f [tg3]
 [<ffffffffa0117cd3>] tg3_poll+0x48c/0x8b1 [tg3]
 [<ffffffff8133ecf9>] net_rx_action+0xaf/0x19c
 [<ffffffff812470d5>] ? add_interrupt_randomness+0x29/0x2d
 [<ffffffff8104e824>] __do_softirq+0xb9/0x18d
 [<ffffffff81011e0c>] call_softirq+0x1c/0x30
 [<ffffffff81013233>] do_softirq+0x47/0x8d
 [<ffffffff8104e564>] irq_exit+0x44/0x81
 [<ffffffff81012b25>] do_IRQ+0xae/0xc5
 [<ffffffff81011693>] ret_from_intr+0x0/0x11
 <EOI>  [<ffffffff81017d1a>] ? mwait_idle+0x91/0xae
 [<ffffffff81017d1a>] ? mwait_idle+0x91/0xae
 [<ffffffff81017cbc>] ? mwait_idle+0x33/0xae
 [<ffffffff813dd6b7>] ? atomic_notifier_call_chain+0x13/0x15
 [<ffffffff8100fc35>] ? enter_idle+0x25/0x27
 [<ffffffff8100fcdd>] ? cpu_idle+0xa6/0xe9
 [<ffffffff813d4ff7>] ? start_secondary+0x1f3/0x234

...

rsyslogd: page allocation failure. order:0, mode:0x4020
Pid: 1496, comm: rsyslogd Tainted: P           2.6.30.9-96.fc11.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff810b2e58>] __alloc_pages_internal+0x411/0x42d
 [<ffffffff810d9a88>] alloc_pages_node+0x4f/0x51
 [<ffffffff810d9b74>] alloc_slab_page+0x2d/0x2f
 [<ffffffff810d9bdf>] new_slab+0x69/0x1c9
 [<ffffffff810da1f7>] __slab_alloc+0x206/0x38d
 [<ffffffff8133885d>] ? __netdev_alloc_skb+0x34/0x50
 [<ffffffff810dad77>] __kmalloc_node_track_caller+0xb5/0x119
 [<ffffffff8133885d>] ? __netdev_alloc_skb+0x34/0x50
 [<ffffffff81337c6a>] __alloc_skb+0x80/0x158
 [<ffffffff8133885d>] __netdev_alloc_skb+0x34/0x50
 [<ffffffffa01134ba>] tg3_alloc_rx_skb+0xd5/0x14f [tg3]
 [<ffffffffa0117cd3>] tg3_poll+0x48c/0x8b1 [tg3]
 [<ffffffff8133ecf9>] net_rx_action+0xaf/0x19c
 [<ffffffff812470d5>] ? add_interrupt_randomness+0x29/0x2d
 [<ffffffff8104e824>] __do_softirq+0xb9/0x18d
 [<ffffffff81011e0c>] call_softirq+0x1c/0x30
 [<ffffffff81013233>] do_softirq+0x47/0x8d
 [<ffffffff8104e564>] irq_exit+0x44/0x81
 [<ffffffff81012b25>] do_IRQ+0xae/0xc5
 [<ffffffff81011693>] ret_from_intr+0x0/0x11
...

They seem to all be calling through the NIC driver (here a Broadcom Tigon), but the earlier report has a similar stack and problem with a different NIC.

Here's my NIC anyways:

eth0: Tigon3 [partno(BCM95754) rev b002] (PCI Express) MAC address 00:1e:4f:a1:c8:fe
eth0: attached PHY is 5787 (10/100/1000Base-T Ethernet) (WireSpeed[1])
eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
eth0: dma_rwctrl[76180000] dma_mask[64-bit]

Also getting a few packets dropped on this port, not sure if it's related:

dwars@aero$ netstat -in
Kernel Interface table
Iface       MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0 149586194      0      9      0 119940807      0      0      0 BMRU
lo        16436   0     2694      0      0      0     2694      0      0      0 LRU
Comment 2 Bug Zapper 2009-11-18 06:45:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:17:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.